# Power Electronics, Control Theory, Model Predictive Control & Optimization Techniques
## Study Materials, Lecture Notes & Videos
Welcome to this inclusive archive of educational materials and videos sourced from prestigious universities worldwide.

This repository encompasses a diverse array of topics, including:

* Basic Electronic Device and Applications
* Power Electronics Basics
* Design of Power Electronics Converters
* Advanced Power Electronics and Control
* Fundamentals of Electric Drives
* High Power Multilevel Converters: Design, Analysis, and Operational Issues
* Fundamentals of Power Electronics
* Design of Photovoltaic Systems
* Solar Photovoltaics: Fundamental Technology and Applications
* Advanced Linear Continuous Control Systems
* Matrix Analysis with Applications
* Fundamentals of Electric Vehicles: Technology & Economics
* Analog Electronics
* Model Predictive Control: Theory & Applications
* Introduction to Control
* Control Bootcamp
* Advanced Control Loop Design using MATLAB/Simulink

These resources are drawn from esteemed institutions such as the MIT OpenCourseWare, University of Colorado Boulder, University of Washington, IIT Delhi, IIT Guwahati, IIT Roorkee, IIT Kanpur, IIT Bombay, IISc Bengaluru, IIT Madras, National Taiwan University, and more.

Whether you are a student looking to expand your knowledge, a professional seeking to enhance your expertise, or simply passionate about these fields, this repository offers valuable insights and comprehensive course materials.

Explore the repository here and embark on a journey of academic enrichment and skill development.

#Education #PowerElectronics #ControlTheory #Optimization #LearningMaterials

## Courses w/ YT Playlist

* Introduction to Power Electronics by Prof. Katherine A. Kim [Full YT Playlist [(click here)](https://www.youtube.com/playlist?list=PLmK1EnKxphinxBub5hL0ZoJXWoqjkGE19)]

![katekim1](/images/1.png)

```
Topics Covered:
PE Intro, Avg and RMS Calc., RMS Value of Sine Wave, Real-Reactive-Apparent Power Analogy, PF Definition,
Fourier Coefficients for Symmetric Waveforms, Harmonics and THDs, Ideal Switch, Basic AC-DC Converter using 4 diodes,
Half Wave Rectifier, Full Wave Rectifier, Volt-Sec Balance, Ampere-Sec Balance, Basic DC-DC Converters (Buck, Boost, Buck-Boost),
Coupled Inductor Basics, Flyback Inverter, VSI & CSI, DC-DC Converter Control, Capacitor Parasitic Control.
```

* Power Electronics by IIT Delhi (Jul, 2018) [Full YT Playlist [(click here)](https://www.youtube.com/playlist?list=PLp6ek2hDcoND7i5-DAD9mPmYF1Wg6ROdO)]

![PE_IIT_DELHI](/images/2.png)

```
Topics Covered:
Power Devices: Diodes and SCR, Power Devices: SCR-Triac-GTO-BJT-MOSFET-IGBT, 1P Unctontrolled & Controlled Rectifiers,
3P Rectifiers, Dual Converter and Communication Overlap, 1P & 3P AC Voltage Controllers, Isolated & Non-Isolated Converters,
Isolated DC-DC Converters, Cuk Converters. 
```

* Fundamentals of Power Electronics by Prof. Vivek Agarwal (IIT, Bombay) [Full YT Playlist [(click here)](https://www.youtube.com/playlist?list=PLNsJsy_mS2lWz-iNxltbqyg0ov7ArqVMe)]

![vivek_agrawal](/images/3.png)

```
Topics Covered:
DC-AC Power Conversion, AC-DC Power Conversion, AC Voltage Controller, Power Conversion, Resistive Switch, Inductive Switch,
Capacitive Switch, Switched Network and Circuit Analysis, Review of Semiconductor Physics, FB Rectificer Software Simulation
and Design, Electrical Circuit Output Waveform with RL Load, Power Factor of Rectifier-Capacitor Filter Circuit. 
```

* Fundamentals of Power Electronics by Prof. L. Umanand (IISC, Bengaluru) [Full YT Playlist [(click here)](https://www.youtube.com/playlist?list=PLTFstmhqwXp-OEjDuBKmaPac-qJzdfvol)]

![umanand](/images/4.png)

```
Topics Covered:
Ideal Switch, Diode Static Characteristics, Dynamic Characteristics, Power Loss and Estimation, Thermal aspect,
Datasheet Examples: diode-heatsink, Circuit Simulation, BJT, Static Collector Curves,
Darlington Connection, Parallel Operation, KiCAD-SPICE Simulation, IGBT, Thyristor,
Simulation using NSpice.
```

* Power Electronics by Engineering Funda [Full YT Playlist [(click here)](https://www.youtube.com/playlist?list=PLgwJf8NK-2e5Hnu82T1CYLZ8kbZs4Jx8x)]

![efunda](/images/5.png)

```
Topics Covered:
Power Semiconductor devices: Power Diode, Power BJT, SCR - Silicon Controlled Rectifier, Dynamic Characteristics of SCR,
Gate Characteristics of SCR, SCR Triggering methods, Turn of OFF process of SCR, SCR Protection, Thermal Protection of SCR,
Two Transistor Analogy of SCR, SCR Mounting, Resistor Triggering of SCR, RC Triggering of SCR, Methods to improve di/dt
ratings of SCR, UJT - Uni Junction Transistor, UJT as Relaxation Oscillator, PUT - Programmable Unijunction Transistor,
PUT as Relaxation Oscillator, TRIAC in Power electronics, Modes of TRIAC, DIAC in Power electronics, Comparison of SCR,
DIAC and TRIAC, SCS - Silicon Controlled Switch, MCT - MOS Controlled Thyristor, Power MOSFET, Comparison of Power BJT
and Power MOSFET, IGBT - Insulated Gate Bipolar Transistor, LASCR - Light Activated SCR, GTO - Gate Turn OFF Thyristor,
Series Connection of SCR, Parallel Connection of SCR Commutation of SCR: Class A Commutation, Class B Commutation,
Class C Commutation, Class D Commutation, Class E Commutation, Class F Commutation

Rectifier in Power Electronics: Basics of Converter, Rectifier and filter, Halfwave controlled rectifier,
Single phase full wave controlled rectifier, Fullwave bridge controlled rectifier, Symmetrical Semiconverter,
Asymmetrical Semiconverter, Three Phase Half wave rectifier, Three phase half wave controlled rectifier

Inverter in Power Electronics: Series Inverter, Parallel Inverter, Single Phase Half Bridge Inverter, Signal Phase
Full Bridge Inverter, Three Phase Inverter 120 Degree Mode, Three Phase Inverter 180 Degree Mode, PWM Inverter

Chopper in Power Electronics: Control Strategies of Chopper, Step Up Chopper, Step Down Chopper, Class A Chopper,
Class B Chopper, Class C Chopper, Class D Chopper, Class E Chopper, Jones Chopper, Morgan Chopper.

Cycloconverter in Power Electronics: Cycloconverter, Basics of Cycloconverter, Step Up Bridge Cycloconverter,
Step Down Bridge Cycloconverter, Step Down Cycloconverter, Step Up Cycloconverter, Three Phase to Single Phase Cycloconverter

Converter in Power Electronics: Buck Converter, Boost Converter, Buck Boost Converter, Flyback Converter with discontinuous
mode, Flyback Converter with continuous mode, Isolated Forward Converter

Application of Power Electronics: On Line UPS, Off Line UPS, SMPS, Comparison of SMPS with Linear Power Supply,
Dielectric Heating, Induction Heating, Battery Charger
```

* Analog Electronics by Neso Academy [Full YT Playlist [(click here)](https://www.youtube.com/playlist?list=PLBlnK6fEyqRiw-GZRqfnlVIBz9dxrqHJS)]

![neso](/images/6.png)

```
Topics Covered:
Semiconductor Physics, Semiconductor Diode, Diode Applications, Bipolar Junction Transistors, DC Biasing of Transistors,
BJT AC Analysis, Field Effect Transistors, Biasing of FET, Frequency Response of BJT & JFET, Operational Amplifiers,
Op-Amp Applications, Power Amplifiers.
```

* Design of Power Electronics Converters by Prof. Shabari Nath (IIT, Guwahati) [Full YT Playlist [(click here)](https://www.youtube.com/playlist?list=PLwdnzlV3ogoWVgA9fHBV36L_bxWZlpa7X)]

![neso](/images/7.png)

```
Topics Covered:
Design of PE Converters, Buck Converter, LC Filter, HB Converter, Bipolar PWM, Unipolar PWM, 
Different Types of Power Diode, Diode Characteristics, Diode Datasheets, MOSFET, IGBT, Gate
Driver Requirements, Optocouplers based GD Circuit, Bootstrapping, Pulse Transformer based
Gate Drivers, RC Snubber Analysis, RC Snubber Design, Power Loss, Thermal Modeling, Magnetic
Losses, Magnetics: Core & Materials, Inductor Design, Transformer Design, EMI Design Solutions,
EMI Filter, PCB Design Basics.
```

* High Power Multilevel Converters: Analysis, Design & Operational Issues by Prof. Anandarup Das (IIT, Delhi) [Full YT Playlist [(click here)](https://www.youtube.com/playlist?list=PLp6ek2hDcoNAZzkG0zfABMmFNtGUl9QMB)]

![multilevel converter](/images/8.png)

```
Topics Covered:
Basic Understanding of Converter, HB Converter, FB Converter, SPWM for 3P Converter, Harmonics
in Sinusoidal PWM, Third Harmonics in Sine PWM, Space Vectors, SVPWM Timing Calc., Multilevel
Converters, CHB Multilevel Converters, Fault Tolerant Operation of CHB Converter, Modular Multi
level Converter, Design of MMC, Neutral Point Clamped Converter, Other NPC Converters.
```

* Advance Power Electronics & Control by Prof. Avik Bhattacharya (IIT, Roorkee) [Full YT Playlist [(click here)](https://www.youtube.com/playlist?list=PLLy_2iUCG87DzWK9cLYKxjH1LRACxdEKi)]

![ad pe](/images/9.png)

```
Topics Covered:
Advanced Power Electronics Introduction, Basic Concepts of Switches, Device Physics I-IV,
Applications and Analysis of Switches, Single Phase Converter, Three Phase Converter,
Multiphase Converters, Effect of Source Inductance and PWM Rectifiers, Power Factor Improvement
Techniques, Non-Isolated DC-DC Converter, Isolated DC-DC Converters and Choppers, VSI & CSI,
MLI & ZSI, SVPWM, Cycloconverters and Matrix Converters, Linear and Nonlinear Control in Power
Electronics, Advance Power Electronics Application.
```

* Fundamentals of Electric Drives by Prof. Shyama Prasad Das (IIT, Kanpur) [Full YT Playlist [(click here)](https://www.youtube.com/playlist?list=PLFW6lRTa1g83sIfVY1p1xGqPGYUmXyahx)]

![e drives](/images/10.png)

```
Topics Covered:
Controls of Various Types of Electric Motors, Dynamics of Electric Drives, Equivalent Drive Parameters,
Friction Components, Nature of Load Torque, Steady State Stability, Load Equalization, Characteristics
of DC Motor, Speed Torque Characteristics of Separately Excited DC Motor and Series DC Motor, Field
Oriented Control of Series Motor, Motoring and Breaking of Separately Excited and Series DC Motor,
Speed Control of Separately Excited DC Motor Using Controlled Rectifiers, Analysis of 1P Full Controlled
Converter-fed Separately Excited DC Motor, Speed Torque Characteristics of Full Controlled Converter-fed
Separately Excited DC Motor, Analysis of 1P Half Controlled Converter-fed Separately Excited DC Motor,
Analysis of Half Controlled Converter-fed Separately Excited DC Motor, Multi-quadrant Operation of DC
Motor, Dual Converter-fed DC Motor, Multi-Quadrant Operation Using Field Current Reversal,
Dynamic Braking of DC Motor by Chopper Controlled Resistor, CL Operation of DC Drives, IM
Drives, Dynamic Braking of IM, AC Dynamic Braking, DC Dynamic Braking, CL V/Hz Control of IM
with Slip Speed, Multiquadrant Operation of IM Drive, Synchronous Motors, Equivalent Circuit
and Phasor Diagram of Cylindrical Synchronous Motor, Speed-Torque Characteristics of
Cylindrical Synchronous Motor, Trapezoidal PM AC Motor, BLDC Motor, Switched Reluctance Motor.
```

* Design of Photovoltaic Systems by Prof. Umanand (ISC, Banglore) [Full YT Playlist [(click here)](https://www.youtube.com/playlist?list=PLRQCRCvsI8vfilPpiIbsLz3NB-gTMLG8f)]

![pv](/images/11.png)

```
Topics Covered:
PV Cell Characteristics and Equivalent Circuit, Model of PV Cell, Short Circuit, Open Circuit,
Peak Power Parameters, Datasheet Study, Cell Efficiency, Effect of Temparature, Fill Factor,
PV Cell Simulation, Non-Identical Cells in Series, Protecting Cells in Series, Interconnecting
Cells in Series, Simulation of Cells in Series, Non-Identical Cells in Parallel, Interconnecting Modules,
I-V Charactersitics, PV Source Simulations, Insolation and Irradiance, Solar Geometry, Insolation on a
Horizontal Flat Plate, Energy on a Horizontal Flat Plate, Energy on a Sitted Flat Plate, Energy Plots in Octave,
Atmospheric Effects, Airmass, Clearness Index, Cleaness Index and Energy Srripts in Octave, Sizing PV for
applications without Batteries, Batteries Intro, PV System Design, Maximum Power Point Tracking (MPPT),
Simulation of PV and DC-DC Converter Interface, Power Slope Method, Simulation of MPPT, Direct PV-Battery
Connection, Charge Controller, Battery Charger, Peltier Device, Heat Transfer by Conduction &
Convection, Water Pumping Principle, PV Power, Grid Integration-to-PV, Topologies, DQ Axis
Theory, SVPWM, LOC, Annual Payment and Present Worth Factor, 
Applications and Analysis of Switches, Single Phase Converter, Three Phase Converter,
Multiphase Converters, Effect of Source Inductance and PWM Rectifiers, Power Factor Improvement
Techniques, Non-Isolated DC-DC Converter, Isolated DC-DC Converters and Choppers, VSI & CSI,
MLI & ZSI, SVPWM, Cycloconverters and Matrix Converters, Linear and Nonlinear Control in Power
Electronics, Advance Power Electronics Application.
```

* Solar PhotovoltaicsL Fundamental Technology and Applications by Prof. Soumitra Satapathi (IIT, Roorkee) [Full YT Playlist [(click here)](https://www.youtube.com/playlist?list=PLLy_2iUCG87Dxsmc322YcSuNl_KCEbqPl)]

![solar 2](/images/12.png)

```
Topics Covered:
Solar Photovoltaics: Fundamental Technology and Applications, Charge Carrier Dynamics in Semi
conductor, Energy Band Diagram, Introduction of Quantum Mechanics in Solar Photovoltaics,
Energy and its sources, Introduction to Soalr Energy, Band Theory, P-N Junction Model and
Diode Working Principle, Current-Voltage Characteristics of Solar Cell, Eauivalent Circuits
of Solar Cells, Fill Factor, Fabrication Steps of Semiconductor Grade Silicon, Thin Film
Deposition Techniques, Photo Physics of Dye Sensitized Solar Cells, Fabrication of Dye Sensi
tized Solar Cells, Design of Novel Dyes, Design of Electrolytes, Fabrication of Organic Solar
Cells, Phyics of Bulk Hetero Junction (BHJ) Solar Cells, Photo Physics of Organic Solar Cells,
Morphology Optimization of Organic Solar Cells, Multijunction Tandem Solar Cells, Perovskite
Solar Cells, Introduction to Characterization Techniques, Electron Microscopy in Solar Cells,
Impedance Spectroscopy.
```

* Fundamentals of Electric Vehicles: Technology & Economics by Prof. Ashok Jhunjhunwala (IIT, Madras) [Full YT Playlist [(click here)](https://www.youtube.com/playlist?list=PLyqSpQzTE6M9spod-UH7Q69wQ3uRm5thr)]

![e vehicles](/images/13.png)

```
Topics Covered:
Overview of EVs in India, Batteries, Charging and Swapping Infrastructure, Lithium Batteries,
EV Subsystem, Drive Cycle, EV Drive Train, Prospects of Lithium Batteries, Li-ion Batteries,
Battery Pack Development, Charging Batteries, Mechanical Design, Thermal Design, Electrical
Design, BMS Design of Electric Vehicle, EV Motors and Controllers, Torque Productions,
Clarke-Park Transformation, Field Oriented Control, 3P AC Drive, Thermal Design, EV Chargers,
Analytics, Public Chargers, Bulk Chargers, Swap Stations.
```

* Basic Matrix Analysis with Applications by Prof. S.K. Gupta & Prof. Sanjeev Kumar (IIT, Roorkee) [Full YT Playlist [(click here)](https://www.youtube.com/playlist?list=PLLy_2iUCG87BLKl8eISe4fHKdE2_j2B_T)]

Matrix Analysis, Iterative Methods & Linear System is a crucial part in order to understand Control Theory and Optimization Techniques. Before jumping into Control Theory, please carefully go thorugh this section.

![matrix](/images/14.png)

```
Topics Covered:
Matrix Analysis with Applications, Elementary Row Operations, Echelon Form of a Matrix,
Rank of a Matrix, System of Linear Equations, Vector Spaces, Subspaces, Basics of Dimensions,
Inverse of Linear Transforamtion, Matrix Associated with a LT, Cayley-Hammilton Theorem and
Minimal Polynomial, Special Matrices, Inner Product Spaces, Vector and Matrix Norms, Gram
Schmidt Process, Gram Matrix and Minimization of Quadractic Forms, Evaluation of Matrix
Functions, Singular Value Decomposition, Pseudo-Inverse and SVD, Linear Systems, Non-Statio
nary Iterative Methods, Krylov Subspace Iterative Methods, Polar Decomposition. 

```

* Control Bootcamp by Prof. Steve Brunton (UofW) [Full YT Playlist [(click here)](https://www.youtube.com/playlist?list=PLMrJAkhIeNNR20Mz-VpzgfQs5zrYi085m)] | [Free PDF](http://databookuw.com/databook.pdf)

![e vehicles](/images/15.png)

```
Topics Covered:
Overview of Control Bootcamp, Linear Systems, Stability and Eigenvalues, Linearizing Around
a Fixed Point, Controlability, Discrete-Time Impusle Response, Degrees of Controllability,
Cayley-Hamilton Theorem, Reachability and Controllability with CH Theorem, Inverted Pendulum
on a Cart, Pole Placement for the Inverted Pendulum on a Cart, Full-State Estimation,
Control Bootcamp: Observability, Kalman Filter, LQG Example in Matlab, Frequency Response,
Laplace Transforms and the Transfer Function, Cruise Control Example, Loop Sharing, Sensiti=
vity and Complementary Sensitivity, Limitations of Robustness, Plant Dynamics, Phase Dynamics,
Model Predictive Control.
```

* Introduction to Control EE313 by Prof. Katherine A. Kim (UNIST) [Full YT Playlist [(click here)](https://www.youtube.com/playlist?list=PLmK1EnKxphikZ4mmCz2NccSnHZb7v1wV-)]

![control1](/images/16.png)

```
Topics Covered:
Eigenvalue review, Laplace Transform Review, 3x3 Matrix, Modeling RLC in Freq Domain, Defining
a System Using Transfer Function, Transfer Function in RC Systems, Inverting Op-Amp, Non-Inver
ting OpAmp Transfer Function, Definitions of Transfer Functions, Linearizations, Circuit State
Space Modeling, Poles and Zeros, More poles and Stability, Imaginary Poles and Stability, Boun
ded-Input Bounded-Output (BIBO) Stability, Second Order System, Feedback Control System, Closed
Loop Control Theory, Proportional Feedback Control, PID Control Example, Steady-state Final
Value Theorem, Feedback Control in MATLAB, Root Locus, Frequency Response, Bode Plot, Contour
Mapping, Nyquist Stability, Proportional Feedback Control, Finding Eigenvlaues in MATLAB.
```

* Advanced Linear Control Continuous Systems by Prof. Yogesh Vijay Hote (IIT, Roorkee) [Full YT Playlist [(click here)](https://www.youtube.com/playlist?list=PLLy_2iUCG87CVglDEadTd_PRjA-g1KqVo)]

![control2](/images/17.png)

```
Topics Covered:
Introduction to State Space, State Space Representation, Modeling of Mechanical Systems in
State Space, Modeling of DC Servo Motor, Determination of Transfer Function, Stability Analysis
in State Space, Lyapunov Stability Analysis, Solving State Equations, Steady State Error for
State Space System, State Transition Matrix, State Observer Design, Tracking Problem in State
Feedback Design, Pole Placement by State Feedback, Observability in State Space.
```

* Linear Algebra by Prof. Gilbert Strang (MIT 18.06SC Linear Algebra, Fall 2011) [Full YT Playlist [(click here)](https://www.youtube.com/playlist?list=PL221E2BBF13BECF6C)] |[Full Course](https://ocw.mit.edu/courses/18-06sc-linear-algebra-fall-2011/)

![linear algebra](/images/20.png)

```
Topics Covered:
The Geometry of Linear Equations, An Overview of Key Ideas Elimination with Matrices Multi
plication and Inverse Matrices Factorization into A = LU Transposes, Permutations, Vector Spaces
Column Space and Nullspace Solving Ax = 0: Pivot Variables, Special Solutions Solving Ax = b: Row
Reduced Form R Independence, Basis and Dimension The Four Fundamental Subspaces Matrix Spaces; Rank 1;
Small World Graphs Graphs, Networks, Incidence Matrices, Orthogonal Vectors and Subspaces Projections
onto Subspaces Projection Matrices and Least Squares Orthogonal Matrices and Gram-Schmidt Properties of
Determinants Determinant Formulas and Cofactors Cramer's Rule, Inverse Matrix and Volume Eigenvalues and
Eigenvectors Diagonalization and Powers of A Differential Equations and exp(At) Markov Matrices; Fourier Series,
Symmetric Matrices and Positive Definiteness Complex Matrices; Fast Fourier Transform (FFT) Positive Definite
Matrices and Minima Similar Matrices and Jordan Form Singular Value Decomposition Linear Transformations and
their Matrices Change of Basis; Image Compression Left and Right Inverses; Pseudoinverse.
```


* Differential Equations by Prof. Gilbert Strang & Prof. Cleve Moler (MIT RES.18-009 Learn Differential Equations, Fall 2015) [Full YT Playlist [(click here)](https://www.youtube.com/playlist?list=PLUl4u3cNGP63oTpyxCMLKt_JmB0WtSZfG)] | [Full Course](https://ocw.mit.edu/courses/res-18-009-learn-differential-equations-up-close-with-gilbert-strang-and-cleve-moler-fall-2015/)

![diff](/images/21.png)

```
Topics Covered:
Introduction, First Order Equations, Second Order Equations, Graphical and Numerical Methods, Vector Spaces and
Subspaces, Eigenvalues and Eigenvectors, Applied Mathematics and ATA Fourier, Laplace Transforms.
```

* Introduction to PID Controller by Prof. Carlos Rossa (SYSC 3610, Biomedical Systems, Modeling and Control, Carleton University) [Full YT Video [(click here)](https://www.youtube.com/watch?v=-ySAtKoidog)]
![pid](/images/22.png)

```
Topics Covered:
Introduction, PID Controller, PID Controller Architecture, Closed Loop Controller, Comparison of Proportional
and Integral, PID Controller Effects, Proportional vs Integral Controller.
```

* Model Predictive Control by Prof. Niket S. Kaisare (IIT, Madras) [Full YT Playlist [(click here)](https://www.youtube.com/playlist?list=PLyqSpQzTE6M91gU9WE5AOMhAkCf6HGbey)]

![control3](/images/18.png)

```
Topics Covered:
Array Operations in MATLAB, Linear Algebra, Differential and Difference Equations, Process
Control Basics, MPC Salient Features, Discrete Time Models, State Space and Step Response,
Nonlinear Models and Model Linearization, TF to SS, MIMO, Discretization of State-Space
Models, Dynamic Matrix Control, DMC Algorithm, Coding for DMC Algorithm: Setup, LTI Models,
Linear Quadratic Regulator, LQR Dynamic Programming, State Estimation, Stochastic Processess
and Random Variables, Kalman Filter, Linear Quadratic Gaussian, Setpoint Tracking in LQ
Control, Disturbance Rejection in LQ Control, Estimation with Disturbance Modeling, 
```

## Some Additional `Model Predictive Control` Study Materials

### A Lecture Series of Model Predictive Control by Dr. John Rossiter, University of Sheffield
* [Full Video Series](https://www.youtube.com/playlist?list=PLs7mcKy_nInFEpygo_VrqDFCsQVnGaoy-)

### MPC and MHE implementation in MATLAB using Casadi:
* [Part I](https://www.youtube.com/watch?v=RrnkPrcpyEA)
* [Part II](https://www.youtube.com/watch?v=UCyZUCp1Bvs)
* [Part III](https://www.youtube.com/watch?v=HxxX7Uir2H8)

### Model Predictive Control in Power Electronics by Dr. Tobias Greyer
* [Lecture I](https://www.youtube.com/watch?v=3K9t4Nqo92U)
* [Lecture II](https://www.youtube.com/watch?v=B5gOHJkcBEc)

### Model Predictive Control of Three Level Buck/Boost Converter for Bipolar DC Microgrid Applications by PhD Applicant Nisha K S
* [Full Video](https://www.youtube.com/watch?v=9URWS8uRGPk)

### Basic-Advanced MPC Lecture Notes, Lecturer: M. Kvasnica
* [Click here](https://www.uiam.sk/index.php?menu=2&submenu=7&part=0&page_id=44)
* [Free PDF](https://www.uiam.sk/assets/publication_info.php?id_pub=1865)

### Model Predictive Control: from the Basics to Reinforcement Learning
* [Free PDF](http://dysco.imtlucca.it/mpc-cdc19/) (files are located at the Bottom of this page)

### Model Predictive Control by Alberto Bemporad
* [Free PDF + Course Materials](http://cse.lab.imtlucca.it/~bemporad/mpc_course.html)

### Getting Started with Model Predictive Control Toolbox via Mathworks
* [MATLAB Resource](https://www.mathworks.com/help/mpc/getting-started-with-model-predictive-control-toolbox.html)

### Model Predictive Control: Theory, Computation, and Design (2nd Edition)
* [Free PDF](https://sites.engineering.ucsb.edu/~jbraw/mpc/)

## Lecture Notes

### Lecture notes for Basic Power Electronics by MIT OpenCourseWare
*  [click here](https://ocw.mit.edu/courses/6-334-power-electronics-spring-2007/pages/lecture-notes/)

### Lecture notes for Practical Electronics by MIT OpenCourseWare
*  [click here](https://ocw.mit.edu/courses/ec-s06-practical-electronics-fall-2004/pages/lecture-notes/)

### Lecture notes for Electronic Feedback System by MIT OpenCourseWare
*  [click here](https://ocw.mit.edu/courses/res-6-010-electronic-feedback-systems-spring-2013/pages/video-course-manual/)

### Lecture notes and recordings for ECE5570: Optimization for Systems and Control by UC Boulder
* [click here](http://mocha-java.uccs.edu/ECE5570-NEW/index.html)

### Lecture notes and recordings for ECE5550: Applied Kalman Filtering by UC Boulder
* [click here](http://mocha-java.uccs.edu/ECE5550/index.html)

### Lecture notes for Modern Approaches to System Dynamics and Control by CRAW Lab, University of Louisianna, Lafayette.
* [click here](https://userweb.ucs.louisiana.edu/~jev9637/Kumoh_January2018.html)

### Lecture notes for Electromagnetic Energy: From Motors To Lasers by MIT OpenCourseWare
* [click here](https://ocw.mit.edu/courses/6-007-electromagnetic-energy-from-motors-to-lasers-spring-2011/pages/lecture-notes/)

### Lecture notes for Microelectronic Devices And Circuits by MIT OpenCourseWare
* [click here](https://ocw.mit.edu/courses/6-012-microelectronic-devices-and-circuits-fall-2005/pages/lecture-notes/)


## MATLAB/Simulink

### Code for Fast MPC 
* [Full Code](https://stanford.edu/~boyd/fast_mpc/)

### Advanced Control Loop in MATLAB/Simulink (Full YT Playllist):
* [Investigation of the Direct Current Shunt Machine Properties Using MATLAB/Simulink](https://www.youtube.com/watch?v=6QrUewLeRlY&list=PLouCoK47-AT8CCBt2yuSIo6_RRfd_B_Us&index=1)
* [Optimal speed Control of Direct Current Motor by using Matlab/Simulink](https://www.youtube.com/watch?v=rf8rH_ZRdAg&list=PLouCoK47-AT8CCBt2yuSIo6_RRfd_B_Us&index=2)
* [DC motor State estimation with Luenberger Observer by using Matlab/Simulink](https://www.youtube.com/watch?v=UnGwm-2QYOw&list=PLouCoK47-AT8CCBt2yuSIo6_RRfd_B_Us&index=3)
* [High Gain Observer introduction](https://www.youtube.com/watch?v=BWXfI25GRT0&list=PLouCoK47-AT8CCBt2yuSIo6_RRfd_B_Us&index=4)
* [High Gain Observer - Updated](https://www.youtube.com/watch?v=47LAHlUWWAU&list=PLouCoK47-AT8CCBt2yuSIo6_RRfd_B_Us&index=5)
* [Linear-Quadratic Regulator (LQR) - Kalman Filter design by using Matlab Simulink (Udemy)](https://www.youtube.com/watch?v=fSnM3HJymLo&list=PLouCoK47-AT8CCBt2yuSIo6_RRfd_B_Us&index=6)
* [DC Machine speed luenberger observer design by using matlab simulink](https://www.youtube.com/watch?v=PMok6D8ye5I&list=PLouCoK47-AT8CCBt2yuSIo6_RRfd_B_Us&index=7)
* [Integral action in state feedback control and State controller with setpoint adjustment](https://www.youtube.com/watch?v=Ti6vLWmD0Bg&list=PLouCoK47-AT8CCBt2yuSIo6_RRfd_B_Us&index=8)
* [Computer Aided Control Systems Design: Control System Toolbox](https://www.youtube.com/watch?v=Uy93YUTs72k&list=PLouCoK47-AT8CCBt2yuSIo6_RRfd_B_Us&index=9)
* [Interactive model analysis Linear System Analyzer app](https://www.youtube.com/watch?v=y2dvvhTDwo4&list=PLouCoK47-AT8CCBt2yuSIo6_RRfd_B_Us&index=10)

<!---## Update-->

